<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <title>Profile Page</title>
   
    <link rel="icon" href="./assets/images/icondog.png">

</head>
<body>
    
    <!-- div tag used as a container for html documents (division)-->
    <!-- class attribute specifies class names -->
    <div class="container">

        <div id="header">

            <div id="nav">
                <ul style="list-style-type: none;">
                    <li><a href="./index.html">Home</a></li>
                    <li><a href="./about.html">About</a></li>
                    <li><a href="./contact.html">Contact Us</a></li>
                </ul>
            </div>

            <h1>Developer Portfolio Page</h1>

        </div>

        <div id="main">
            <p>
                Lorem ipsum dolor sit amet consectetur, adipisicing elit. Atque provident debitis molestiae et distinctio? Nostrum velit eum ea, deleniti quidem architecto natus quisquam, neque beatae voluptate sint quae iusto commodi.
            </p>

            <!-- use div elements to group certain elements -->
            <!-- scenario 1: i want to align the first 3 paragraph elements to the left -->
            <div align="left">
                <p class="lead-paragraph">
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Sunt odit debitis ratione odio molestias nisi impedit saepe quasi reprehenderit possimus quidem iste placeat et ad, sint libero! Necessitatibus, perspiciatis praesentium?
                </p>
                <p>
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Totam sunt autem accusamus molestias excepturi. Illum incidunt corporis ratione nisi quibusdam, veritatis fuga deserunt facilis labore. Laborum harum ipsam omnis et.
                </p>
                <p>
                    Lorem ipsum dolor, sit amet consectetur adipisicing elit. Autem, odio eius unde similique provident eligendi ipsa ad nostrum! Illum, cupiditate in. Ipsam, assumenda? Sit repudiandae animi facere reiciendis deleniti ducimus!
                </p>
            </div>

            <div align="right">
                <p>I should be right-aligned</p>
                <p>I should be right-aligned</p>
                <p>I should be right-aligned</p>
            </div>

            <!-- horizontal line | self-closing tag -->
            <hr>

            <!-- table -->
            <table class="table-sched" border="1">
                <!-- style="border:2px solid red;" width="200px" -->
                <tr>
                    <th scope="col"></th>
                    <th scope="col">9 am</th>
                    <th scope="col">10 am</th>
                    <th scope="col">11 am</th>
                </tr>
                <tr colspan="5">
                    <td scope="row"><strong>Monday</strong></td>
                    <td colspan="5">Geography</td>
                    <td>Math</td>
                    <td rowspan="10">English</td>
                </tr>
                <tr>
                    <td scope="row"><strong>Tuesday</strong></th>
                    <td>PE</td>
                    <td>Social Science</td>
                </tr>
            </table>

        </div>

        <div class="footer">
            <a href="https://www.google.com">Take me to Google</a>
            
            <!-- target="_blank" html attribute opens a new tab when a user is redirected-->
            <a href="https://www.google.com" target="_blank">Take me to Google</a>
        
            <!-- absolute url are locations that are not available in your local server/machine -->
            <!-- when using absolute urls, include the http protocols-this is a requirement (https -secured) -->
            <a href="www.google.com">Absolute URL</a>
        
            <!-- relative url are loactions available in your local servers/machines -->
            <a href="./contact.html">Take me to the Contact Page</a>

            <!-- #mid will go to the mid section the page -->
            <a href="./index.html#mid">I will go to the mid section of the page</a>
       
            <!-- #nav will go to top -->
            <a href="#nav">Back to Top</a>
        </div>

    </div>

</body>
</html>